# Interface methods for submodule: FixedArray
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: FixedArray
class FixedArrayProxy():
	@overload
	def SetElement(self, index: int, value: bool) -> None:
		""""""
		...

	@overload
	def SetElement(self, index: int, value: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, index: int, value: int) -> None:
		""""""
		...

	@overload
	def SetElement(self, index: int, value: Sequence[float]) -> None:
		""""""
		...

	@overload
	def GetElement(self, index: int) -> bool:
		""""""
		...

	@overload
	def GetElement(self, index: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, index: int) -> int:
		""""""
		...

	@overload
	def GetElement(self, index: int) -> Sequence[float]:
		""""""
		...

	def GetDataPointer(self):
		""""""
		...

	def data(self):
		""""""
		...

	def cbegin(self):
		""""""
		...

	def begin(self):
		""""""
		...

	def cend(self):
		""""""
		...

	def end(self):
		""""""
		...

	def rbegin(self):
		""""""
		...

	def crbegin(self):
		""""""
		...

	def rend(self):
		""""""
		...

	def crend(self):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def size(self) -> int:
		""""""
		...

	@overload
	def Fill(self, arg0: bool) -> None:
		""""""
		...

	@overload
	def Fill(self, arg0: float) -> None:
		""""""
		...

	@overload
	def Fill(self, arg0: int) -> None:
		""""""
		...

	@overload
	def Fill(self, arg0: Sequence[float]) -> None:
		""""""
		...

	@overload
	def swap(self, other: Sequence[bool]) -> None:
		""""""
		...

	@overload
	def swap(self, other: Sequence[float]) -> None:
		""""""
		...

	@overload
	def swap(self, other: Sequence[int]) -> None:
		""""""
		...

	@overload
	def swap(self, other) -> None:
		""""""
		...

	@staticmethod
	@overload
	def Filled(value: bool) -> Sequence[bool]:
		""""""
		...

	@staticmethod
	@overload
	def Filled(value: float) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def Filled(value: int) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def Filled(value: Sequence[float]):
		""""""
		...

